Shirt Pocket Discussions

Shirt Pocket Discussions (https://www.shirt-pocket.com/forums/index.php)
-   General (https://www.shirt-pocket.com/forums/forumdisplay.php?f=6)
-   -   Applescript says SuperDuper 1.5.3 not scriptable (https://www.shirt-pocket.com/forums/showthread.php?t=164)

BudSimrin 12-09-2004 11:51 PM

Applescript says SuperDuper 1.5.3 not scriptable
 
I set up the backup script as described in the manual. To test CronniX I clicked on "Run Now" and got Applet Error -1568: "Could not read the dictionary of the application or extension because it is not scriptable". I checked the Daily Backup script in Script Editor and was able to navigate to SuperDuper! and display the dictionary. Any idea of what I'm doing wrong?

:confused:

dnanian 12-10-2004 12:30 AM

Hm... no. Does the script run from the script editor?

BudSimrin 12-10-2004 09:31 AM

That was a good hint. If I run directly run the compiled script you provided, I get this same error. If I run the provided source code in Script Editor it works just fine. Later when I have more time I'll try replacing your compiled script with a new one from Script Editor and see if that takes care of it.

BudSimrin 12-11-2004 12:04 AM

Success!
 
I compiled SuperDuper!'s script and saved it as an application, letting it replace SuperDuper!'s application. The new application runs perfectly from CronniX.

dnanian 12-11-2004 07:52 AM

Excellent, Bud!

Now we have to figure out why the script compiled during our build process isn't working on Jaguar...


All times are GMT -4. The time now is 01:25 AM.

Powered by vBulletin® Version 3.8.9
Copyright ©2000 - 2022, vBulletin Solutions, Inc.